INTERFACE
SUBROUTINE LARCHEAD(KPROMA,KSTART,KPROF,KFLEV,&
 & KSTTYP,PDSTRET,PC2M1,PC2P1,PI,PDEPI,&
 & PLOCEN,PMUCEN,PCOLON,PSILON,&
 & PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PCOSCO,PSINCO,PSINLA,PCOPHI,&
 & PCOSCO5,PSINCO5,PSINLA5,PCOPHI5,&
 & KROT,PLON,PLAT,PO,PQ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTTYP
REAL(KIND=JPRB) ,INTENT(IN) :: PDSTRET
REAL(KIND=JPRB) ,INTENT(IN) :: PC2M1
REAL(KIND=JPRB) ,INTENT(IN) :: PC2P1
REAL(KIND=JPRB) ,INTENT(IN) :: PI
REAL(KIND=JPRB) ,INTENT(IN) :: PDEPI
REAL(KIND=JPRB) ,INTENT(IN) :: PLOCEN
REAL(KIND=JPRB) ,INTENT(IN) :: PMUCEN
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOSCO(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINCO(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOPHI(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOSCO5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINCO5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINLA5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOPHI5(KPROMA,KFLEV)
INTEGER(KIND=JPIM),INTENT(IN) :: KROT
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PO(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ(KPROMA,KFLEV)
END SUBROUTINE LARCHEAD
END INTERFACE
